PYZORD(1)

NAME
pyzord - spam-catcher using a collaborative filtering network

SYNOPSIS
pyzord [options]

DESCRIPTION
Listen for and process incoming Pyzor connections.

OPTIONS

-h, --help
    show this help message and exit

-n NICE, --nice=NICE
    'nice' level

-d, --debug
    enable debugging output

--homedir=HOMEDIR
    configuration directory

-a LISTENADDRESS, --address=LISTENADDRESS
    listen on this IP

-p PORT, --port=PORT
    listen on this port

-e ENGINE, --database-engine=ENGINE
    select database backend

--dsn=DIGESTDB
    data source name (filename for gdbm, host,user,password,database,table for MySQL)

--gevent=GEVENT
    set to true to use the gevent library

--threads=THREADS
    set to true if multi-threading should be used (this may not apply to all engines)

--max-threads=MAXTHREADS
    the maximum number of concurrent threads (defaults to 0 which is unlimited)

--processes=PROCESSES
    set to true if multi-processing should be used (this may not apply to all engines)

--max-processes=MAXPROCESSES
    the maximum number of concurrent processes (defaults to 40)

--db-connections=DBCONNECTIONS
    the number of db connections that will be kept by the server. This only applies if threads are used. Defaults to 0 which means a new connection is used for every thread. (this may not apply all engines)

--pre-fork=PREFORK

--password-file=PASSWDFILE
    name of password file

--access-file=ACCESSFILE
    name of ACL file

--cleanup-age=CLEANUPAGE
    time before digests expire (in seconds)

--log-file=LOGFILE
    name of the log file

--usage-log-file=USAGELOGFILE
    name of the usage log file

--pid-file=PIDFILE
    save the pid in this file after the server is daemonized

--forward-client-homedir=FORWARDCLIENTHOMEDIR
    Specify a pyzor client configuration directory to forward received digests to a remote pyzor server

--detach=DETACH
    daemonizes the server and redirects any output to the specified file

-V, --version
    print version and exit